<div class="wrapper" *ngIf="article">
  
  <div class="property">
    <label>Title:</label>
    <input type="text" [(ngModel)]= "article.title" (keyup)= "updateKey()" (blur)= "updateKey()"> 
  </div>

  <div class="property">
    <label>Key:</label>
    <input type="text" [(ngModel)]= "article.key" disabled="disabled"> 
  </div>

  <div class="property">
    <label>Date:</label>
    <input type="text" [(ngModel)]= "article.date"> 
  </div>

  <div class="property">
    <label>Image:</label>
    <input type="text" [(ngModel)]= "article.imageUrl"> 
  </div>

  <div class="property">
    <label>Description:</label>
    <textarea 
      type="text" 
      [(ngModel)]= "article.description" 
      class="description">
    </textarea>
    <div class="character-count">Characters: {{article.description.length}}</div>
  </div>

  <div class="property">
    <label>Content:</label>
    <textarea 
      type="text" 
      [(ngModel)]= "article.content">
    </textarea>
    <div class="character-count">
      Article is 
      <span style="color: green" *ngIf="article.published">online</span>
      <span style="color: red" *ngIf="!article.published">offline</span>

    </div>
  </div>

  <div>
    <button (click)= "deleteArticle()" style="margin-right: 10px; color: red;" *ngIf="!isNew">Delete</button>
    <button (click)= "viewPreview()" style="margin-right: 10px" *ngIf="!isNew">Preview</button>
    <button (click)= "updateArticle()" *ngIf="!isNew">Update</button>
    <button (click)= "createArticle()" *ngIf="isNew">Save as draft</button>

    <div *ngIf="isSaved" style="color: green">
      Saved. <a routerLink = "../../{{article.key}}">View Article</a>
    </div>
  </div>

</div>
